classification
Title: Add map, filter, zip to future_builtins
Type: behavior Stage:
Components: 2to3 (2.x to 3.x conversion tool), Extension Modules Versions: Python 2.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: collinwinter Nosy List: benjamin.peterson, collinwinter, georg.brandl, wolever
Priority: normal Keywords:

Created on 2008-02-24 00:28 by georg.brandl, last changed 2008-03-19 04:59 by wolever. This issue is now closed.

Messages (6)
msg62855 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-02-24 00:28
And make 2to3 recognize that, not putting a list() around them then.
msg63800 - (view) Author: David Wolever (wolever) * (Python committer) Date: 2008-03-17 22:54
To clarify, 2to3 shouldn't wrap map, filter, zip in list() if they are 
imported from future_builtins.
msg63866 - (view) Author: David Wolever (wolever) * (Python committer) Date: 2008-03-18 03:16
The 2to3 stuff relating to map is added in r61479.
msg63973 - (view) Author: David Wolever (wolever) * (Python committer) Date: 2008-03-18 19:28
Filter has been fixed in r61546.
msg64033 - (view) Author: David Wolever (wolever) * (Python committer) Date: 2008-03-19 04:15
Added to future_builtins in r61587.
msg64038 - (view) Author: David Wolever (wolever) * (Python committer) Date: 2008-03-19 04:59
Ok, checked in the last piece -- fixer for filter -- in r61598.
History
Date User Action Args
2008-03-19 04:59:28woleversetstatus: open -> closed
messages: + msg64038
2008-03-19 04:15:19woleversetmessages: + msg64033
2008-03-18 22:04:44benjamin.petersonsetnosy: + benjamin.peterson
2008-03-18 19:28:18woleversetmessages: + msg63973
2008-03-18 03:16:02woleversetmessages: + msg63866
2008-03-17 22:54:33woleversetnosy: + wolever
messages: + msg63800
2008-02-24 00:28:55georg.brandlsetversions: + Python 2.6, - Python 3.0
2008-02-24 00:28:33georg.brandlcreate